/* 
 * File:   expreg.h
 * Author: Arthur Brandao
 *
 * Created on 21 décembre 2018
 */

#ifndef EXPREG_H
#define EXPREG_H

/* --- Include --- */
#include <regex.h>
#include "constante.h"

/* --- Structure --- */
typedef struct{
    char* str; //La chaine à vérifier
    char* pos; //Position actuel dans la chaine à verifier
    regex_t regex;
    size_t nmatch;
    regmatch_t* pmatch;
}expreg;

/* --- Fonctions --- */
boolean ini_expreg(expreg*, char*, char*);

char* get_match_expreg(expreg*, int*, int*);

void clean_expreg(expreg*);

#endif /* EXPREG_H */

